Jump to content

Do not have JKI State Machine Explorer


Recommended Posts

Hey Guys,

I'm learning JKI state machine from the training and in one of the lesson Jim introduced very useful tool JKI state machine explorer but for some reason I do not see that when I right click on the JKI state machine while loop. Can someone tell me what else should I install other than JKI state machine from VIPM to have the explorer option?

Thanks, Jatin

JKI State Machine Explorer Doesn't Show Up.png

Edited by jatinpatel1489
Link to post
Share on other sites
  • 5 months later...

Currently using LV 2014 and the JKI explorer does not show up as an option in the context menu. I believe I have the current JKI State Machine installed because it is showing "JKI State Machine 2018" in the loop title.

Is the explorer only supported for newer versions of LV?

Thanks,
Eldon

Link to post
Share on other sites
3 hours ago, eldonz said:

Currently using LV 2014 and the JKI explorer does not show up as an option in the context menu. I believe I have the current JKI State Machine installed because it is showing "JKI State Machine 2018" in the loop title.

Is the explorer only supported for newer versions of LV?

Thanks,
Eldon

Hi Eldon. The context menu items only show up in LabVIEW 2015 and greater, since that's the first version of LabVIEW that supports this ability to create plug-ins for the context menu. You should be able to use quickdrop to open the JKI SM Explorer window via Ctrl+Space >> Ctrl+J. 

Link to post
Share on other sites
  • 4 months later...

Hello,

I can not access to the JKI state machine Explorer.I tried all the solutions given, and nothing worked.

Previously (for 2 months ? more ?) I used the Explorer, and everything was fine.

I'm using LabVIEW 2017sp1, the project is a copy of a previous other one written in LV2017sp1 with JKI SM.

Information : saved from LV2019 back to 2017sp1, and the While loop title is no more original, but "My project name - state machine"

The configuration of quickdrop shows me Ctrl+J : JKI State Machine Helper, but doesn't work.

Regards

 

Link to post
Share on other sites
  • 3 weeks later...

Hello,

Is there a best practice to update an existing codebase that uses the old version of the JKI state machine that does not support the JKI State Machine Explorer to the latest version that does?We have a large existing code base that uses multiple instances of the old JKI state machine and would love to update to the latest version with all of the great added features. I tried a few things to update some of our existing JKI state machines but was unsuccessful without completely rewriting the code using the new JKI framework. Any information would be greatly appreciated.

Thanks

Edited by Bobtheman155
Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.